#include "partition.h"
using namespace std;
#include <map>

std::vector<int> solve(std::vector<int> A) {
	vector<int> res;
	for (int i = 0; i < A.size() / 2; i++) {
		res.push_back(i);
	}
	res.push_back(A.size() - 1);
	for (int i = A.size() / 2; i < A.size() - 1; i++) {
		res.push_back(i);
	}
	return res;
}
